var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/*! Built with http://stenciljs.com */
webcomponents.loadBundle("chunk-3bdbe881.js", ["exports", "./chunk-47f66c02.js", "./chunk-4381ee16.js"], function (e, t, n) { window.webcomponents.h; var o = function (e, t, n, o) { return new (n || (n = Promise))(function (r, c) { function i(e) { try {
    a(o.next(e));
}
catch (e) {
    c(e);
} } function s(e) { try {
    a(o.throw(e));
}
catch (e) {
    c(e);
} } function a(e) { e.done ? r(e.value) : new n(function (t) { t(e.value); }).then(i, s); } a((o = o.apply(e, t || [])).next()); }); };
    var r = /** @class */ (function () {
        function r() {
        }
        r.copy = function (e) { return JSON.parse(JSON.stringify(e)); };
        r.castToType = function (e) { var t = e; return Number(t) && "true" !== t && "false" !== t && (t = Number(t)), "0" === t && (t = 0), "true" === t && (t = !0), "false" === t && (t = !1), t; };
        r.deepAssign = function (e) {
            var t = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                t[_i - 1] = arguments[_i];
            }
            if (!t.length)
                return e;
            var n = t.shift();
            return void 0 === n ? e : (r.isMergebleObject(e) && r.isMergebleObject(n) && Object.keys(n).forEach(function (t) { r.isMergebleObject(n[t]) ? (e[t] || (e[t] = {}), r.deepAssign(e[t], n[t])) : e[t] = n[t]; }), r.deepAssign.apply(r, [e].concat(t)));
        };
        r.fetchJson = function (e) { return o(this, void 0, void 0, function () { return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, fetch(e).catch(function (e) { console.error(e); })];
                case 1: return [4 /*yield*/, (_a.sent()).json()];
                case 2: return [2 /*return*/, _a.sent()];
            }
        }); }); };
        r.getTimeStamp = function (e) {
            if (e === void 0) { e = null; }
            return e ? "string" == typeof e ? Math.round(+new Date(e) / 1e3) : Math.round(+e / 1e3) : Math.round(+new Date / 1e3);
        };
        r.getGlobal = function () { if ("undefined" != typeof self)
            return self; if ("undefined" != typeof window)
            return window; if (void 0 !== t.global)
            return t.global; throw new Error("unable to locate global object"); };
        r.isOnline = function () { return !("undefined" == typeof window || !window.navigator.onLine); };
        r.isBrowser = function () { return "undefined" != typeof window; };
        r.getUUID = function () { var e = (new Date).getTime(); return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function (t) { var n = (e + 16 * Math.random()) % 16 | 0; return e = Math.floor(e / 16), ("x" === t ? n : 7 & n | 8).toString(16); }); };
        r.copyToClipboard = function (e) { var t = document.createElement("textarea"); t.value = e, t.setAttribute("readonly", ""), t.style.position = "absolute", t.style.left = "-9999px", document.body.appendChild(t); var n = document.getSelection().rangeCount > 0 && document.getSelection().getRangeAt(0); t.select(), document.execCommand("copy"), document.body.removeChild(t), n && (document.getSelection().removeAllRanges(), document.getSelection().addRange(n)); };
        r.isObject = function (e) { return null !== e && "object" == typeof e; };
        r.isMergebleObject = function (e) { return r.isObject(e) && !Array.isArray(e); };
        return r;
    }());  e.BaseWebcomponent = /** @class */ (function () {
    function BaseWebcomponent() {
        this.base = n.BaseService.instance;
    }
    BaseWebcomponent.prototype.fetchJson = function (e) { return t = this, n = void 0, c = function () { return __generator(this, function (_a) {
        return [2 /*return*/, r.fetchJson(e)];
    }); }, new ((o = void 0) || (o = Promise))(function (e, r) { function i(e) { try {
        a(c.next(e));
    }
    catch (e) {
        r(e);
    } } function s(e) { try {
        a(c.throw(e));
    }
    catch (e) {
        r(e);
    } } function a(t) { t.done ? e(t.value) : new o(function (e) { e(t.value); }).then(i, s); } a((c = c.apply(t, n || [])).next()); }); var t, n, o, c; };
    return BaseWebcomponent;
}()); });
